# Default values for gwcloud_db_search_helm.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

replicaCount: 1

image:
  repository: nexus.gwdc.org.au/docker/gwcloud_db_search
  pullPolicy: IfNotPresent
  # Overrides the image tag whose default is the chart appVersion.
  tag: ""

vaultAnnotations:
  role: db-search
  secrets:
  - name: db-search
    path: kv/gwcloud/db-search
  - name: db-search-common
    path: kv/gwcloud/common

rbac:
  rules:
    - apiGroups:
        - '*'
      resources:
        - secrets
      verbs:
        - '*'

imagePullSecrets:
  - name: regcred

initContainers:
  - image: "bitnami/kubectl:1.17.4"
    name: vault-integrator
    command:
      - kubectl
      - apply
      - "-f"
      - /vault/secrets/

livelinessProbe: {}
readinessProbe: {}

nameOverride: ""
fullnameOverride: "gwcloud-db-search"

serviceAccount:
  # Specifies whether a service account should be created
  create: true
  # Annotations to add to the service account
  annotations: {}
  # The name of the service account to use.
  # If not set and create is true, a name is generated using the fullname template
  name: "db-search"

podAnnotations: {}

podSecurityContext: {}
  # fsGroup: 2000

securityContext: {}
  # capabilities:
  #   drop:
  #   - ALL
  # readOnlyRootFilesystem: true
  # runAsNonRoot: true
  # runAsUser: 1000

service:
  targetPort: 8000
  type: ClusterIP
  port: 8000
  protocol: TCP
  name: http

resources: {}
  # We usually recommend not to specify default resources and to leave this as a conscious
  # choice for the user. This also increases chances charts run on environments with little
  # resources, such as Minikube. If you do want to specify resources, uncomment the following
  # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
  # limits:
  #   cpu: 100m
  #   memory: 128Mi
  # requests:
  #   cpu: 100m
  #   memory: 128Mi

autoscaling:
  enabled: false
  minReplicas: 1
  maxReplicas: 100
  targetCPUUtilizationPercentage: 80
  # targetMemoryUtilizationPercentage: 80

nodeSelector: {}

tolerations: []

affinity: {}
